import Vuex from 'vuex'
import Vue from 'vue'
import actions from './actions'
import state from './state'
import getters from './getters'
import mutations from './mutations'

import plugin from './ws'

Vue.use(Vuex)

export default new Vuex.Store({
  strict: true,
  state,
  getters,
  actions,
  mutations,
  plugins: [plugin]
})
